%setup initial planes parameters

planesDir = 'letadla';

clear fFuncs
addpath(planesDir);
f = [ dir([planesDir '/*.m']); dir([planesDir '/*.p']) ];
if isempty(f)
	error('No Planes found');
end
L = length(f);
colors = [0 0 128; 0 128 0; 128 0 0; 128 0 128; 0 128 128; 128 128 0; 128 128 128]/256;
CL = size(colors, 1);
colors = repmat(colors, ceil(L/CL), 1);

for k = 1:L
	eval(sprintf('fh = @%s;', f(k).name(1:end-2)));
	fFuncs(k).pilot = fh;
	fFuncs(k).color = colors(k, :);
end

