MAXTIME = 500;
MAXITER = 10;
NUMPLANES = 5;
initPlanes2;

N = length(fFuncs);
results = zeros(2, N);
for k = 1:MAXITER
    r = randperm(N);
    r = r(1:NUMPLANES);
    ff = fFuncs(r);
    sc = engine1(ff, MAXTIME, 0);
    [ss, si] = sort(sc);
    points(si) = 0:NUMPLANES-1;
    results(1, r) = results(1, r) + points;
    results(2, r) = results(2, r) + 1;
    save 'results.mat' fFuncs results
    fprintf('Simulation %d / %d done\n', k, MAXITER);
end
