function [ letadlaVIntervalu] = vIntervalu( planes, letadlaNaDostrel, id )
%vIntervalu vraci id letadel nachazejici se
%ve vymezenem prostoru dany uhlem
%   letadlaVIntervalu = vIntervalu (planes, letadlaNaDostrel, id)

letadla=0;
k=length(letadlaNaDostrel);
letX=planes(id).xy(1);
letY=planes(id).xy(2);
letNatoceni=planes(id).angle; % smer letu vlastni

if letadlaNaDostrel(1)~=0
    for i=1:k
        x=planes(letadlaNaDostrel(i)).xy(1)-letX;
        y=planes(letadlaNaDostrel(i)).xy(2)-letY;
        uhel=compAngle([x y]); % smer od vlastniho letadla k nepratelskemu
        rozdilUhlu=uhel-letNatoceni;
        if ((abs(rozdilUhlu)<(pi/4)) || (abs(rozdilUhlu)>(7/4*pi)))
            letadla=[letadla letadlaNaDostrel(i)];
        end
    end
end
    
if length(letadla)==1
    letadlaVIntervalu=0;
else
    letadlaVIntervalu=letadla(2:length(letadla));
end

end

