function a = compAngle(dx)
%compute angle from relative xy diferences (headingPoint - actualPoint)
%Syntax: a = compAngle(dx)
%Example: compAngle([1 1]) returns 45degres angle in radians

a = atan(dx(2)/dx(1));
if dx(1) < 0
    if dx(2) > 0
        a = pi + a;
    else
        a = -pi + a;
    end
end
